Name:          kaudiocreator
Summary:       CD ripper and audio encoder frontend for KDE4
Version:       1.3
Release:       %mkrel 1
Source:        http://opendesktop.org/CONTENT/content-files/107645-%{name}-%{version}.tar.xz
URL:           http://opendesktop.org/content/show.php/KAudioCreator?content=107645
License:       GPLv2+
Group:         Graphical desktop/KDE4
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: kde-multimedia-devel
BuildRequires: kde-multimedia-core
BuildRequires: taglib-devel
Requires:      kde-runtime
Obsoletes:     kdemultimedia-kaudiocreator < 3.5.10
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
CD ripper and audio encoder frontend.

%description -l de
CD-Ripper und Audio-Encoder-Frontend.

%description -l fr
Ripper de CD et interface encodeur audio.

%description -l es
Extractor de CD y codificador de interfaz de audio.

%description -l pl
Ripper CD audio i nakładka kodera.

%description -l sr
ЦД Риппер и аудио енкодера Фронтенд.

%description -l nl
CD-ripper en audio encoder frontend.



%files
%defattr(-,root,root)
%{_kde_bindir}/kaudiocreator
%{_kde_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde_appsdir}/kaudiocreator
%{_kde_appsdir}/kconf_update/kaudiocreator-libkcddb.upd
%{_kde_appsdir}/kconf_update/kaudiocreator-meta.upd
%{_kde_appsdir}/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_kde_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde_iconsdir}/hicolor/*/apps/kaudiocreator.png
%{_kde_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop
%{_kde_datadir}/locale/*/LC_MESSAGES/%{name}.mo

#--------------------------------------------------------------------------

%prep
%setup -q

%build

%cmake_kde4

%make

%install
rm -rf %buildroot

%makeinstall_std -C build

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop



%clean
rm -rf %buildroot



%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 1.3-1pclos2012
- add BuildRequires: kde-multimedia-core
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.3-1_archie_2012
- update

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Mon Aug 30 2010 Texstar <Texstar at gmail.com> 1.2.90-1pclos2010
- 1.2.90

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.2.80-4pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.2.80-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 1.2.80-2pclos2010
- rebuild

* Tue Jul 07 2009 johnnyblack <johnnyblack at inbox.com> 1.2.80-1pclos2009
- create

